package com.lightinit.hsdataplatform.entity;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class ResourceCatelogExample extends BaseExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public ResourceCatelogExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(Long value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(Long value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(Long value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(Long value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(Long value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(Long value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<Long> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<Long> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(Long value1, Long value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(Long value1, Long value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andParentIdIsNull() {
            addCriterion("parent_id is null");
            return (Criteria) this;
        }

        public Criteria andParentIdIsNotNull() {
            addCriterion("parent_id is not null");
            return (Criteria) this;
        }

        public Criteria andParentIdEqualTo(Long value) {
            addCriterion("parent_id =", value, "parentId");
            return (Criteria) this;
        }

        public Criteria andParentIdNotEqualTo(Long value) {
            addCriterion("parent_id <>", value, "parentId");
            return (Criteria) this;
        }

        public Criteria andParentIdGreaterThan(Long value) {
            addCriterion("parent_id >", value, "parentId");
            return (Criteria) this;
        }

        public Criteria andParentIdGreaterThanOrEqualTo(Long value) {
            addCriterion("parent_id >=", value, "parentId");
            return (Criteria) this;
        }

        public Criteria andParentIdLessThan(Long value) {
            addCriterion("parent_id <", value, "parentId");
            return (Criteria) this;
        }

        public Criteria andParentIdLessThanOrEqualTo(Long value) {
            addCriterion("parent_id <=", value, "parentId");
            return (Criteria) this;
        }

        public Criteria andParentIdIn(List<Long> values) {
            addCriterion("parent_id in", values, "parentId");
            return (Criteria) this;
        }

        public Criteria andParentIdNotIn(List<Long> values) {
            addCriterion("parent_id not in", values, "parentId");
            return (Criteria) this;
        }

        public Criteria andParentIdBetween(Long value1, Long value2) {
            addCriterion("parent_id between", value1, value2, "parentId");
            return (Criteria) this;
        }

        public Criteria andParentIdNotBetween(Long value1, Long value2) {
            addCriterion("parent_id not between", value1, value2, "parentId");
            return (Criteria) this;
        }

        public Criteria andCatelogTypeIsNull() {
            addCriterion("catelog_type is null");
            return (Criteria) this;
        }

        public Criteria andCatelogTypeIsNotNull() {
            addCriterion("catelog_type is not null");
            return (Criteria) this;
        }

        public Criteria andCatelogTypeEqualTo(String value) {
            addCriterion("catelog_type =", value, "catelogType");
            return (Criteria) this;
        }

        public Criteria andCatelogTypeNotEqualTo(String value) {
            addCriterion("catelog_type <>", value, "catelogType");
            return (Criteria) this;
        }

        public Criteria andCatelogTypeGreaterThan(String value) {
            addCriterion("catelog_type >", value, "catelogType");
            return (Criteria) this;
        }

        public Criteria andCatelogTypeGreaterThanOrEqualTo(String value) {
            addCriterion("catelog_type >=", value, "catelogType");
            return (Criteria) this;
        }

        public Criteria andCatelogTypeLessThan(String value) {
            addCriterion("catelog_type <", value, "catelogType");
            return (Criteria) this;
        }

        public Criteria andCatelogTypeLessThanOrEqualTo(String value) {
            addCriterion("catelog_type <=", value, "catelogType");
            return (Criteria) this;
        }

        public Criteria andCatelogTypeLike(String value) {
            addCriterion("catelog_type like", value, "catelogType");
            return (Criteria) this;
        }

        public Criteria andCatelogTypeNotLike(String value) {
            addCriterion("catelog_type not like", value, "catelogType");
            return (Criteria) this;
        }

        public Criteria andCatelogTypeIn(List<String> values) {
            addCriterion("catelog_type in", values, "catelogType");
            return (Criteria) this;
        }

        public Criteria andCatelogTypeNotIn(List<String> values) {
            addCriterion("catelog_type not in", values, "catelogType");
            return (Criteria) this;
        }

        public Criteria andCatelogTypeBetween(String value1, String value2) {
            addCriterion("catelog_type between", value1, value2, "catelogType");
            return (Criteria) this;
        }

        public Criteria andCatelogTypeNotBetween(String value1, String value2) {
            addCriterion("catelog_type not between", value1, value2, "catelogType");
            return (Criteria) this;
        }

        public Criteria andCatelogCodeIsNull() {
            addCriterion("catelog_code is null");
            return (Criteria) this;
        }

        public Criteria andCatelogCodeIsNotNull() {
            addCriterion("catelog_code is not null");
            return (Criteria) this;
        }

        public Criteria andCatelogCodeEqualTo(String value) {
            addCriterion("catelog_code =", value, "catelogCode");
            return (Criteria) this;
        }

        public Criteria andCatelogCodeNotEqualTo(String value) {
            addCriterion("catelog_code <>", value, "catelogCode");
            return (Criteria) this;
        }

        public Criteria andCatelogCodeGreaterThan(String value) {
            addCriterion("catelog_code >", value, "catelogCode");
            return (Criteria) this;
        }

        public Criteria andCatelogCodeGreaterThanOrEqualTo(String value) {
            addCriterion("catelog_code >=", value, "catelogCode");
            return (Criteria) this;
        }

        public Criteria andCatelogCodeLessThan(String value) {
            addCriterion("catelog_code <", value, "catelogCode");
            return (Criteria) this;
        }

        public Criteria andCatelogCodeLessThanOrEqualTo(String value) {
            addCriterion("catelog_code <=", value, "catelogCode");
            return (Criteria) this;
        }

        public Criteria andCatelogCodeLike(String value) {
            addCriterion("catelog_code like", value, "catelogCode");
            return (Criteria) this;
        }

        public Criteria andCatelogCodeNotLike(String value) {
            addCriterion("catelog_code not like", value, "catelogCode");
            return (Criteria) this;
        }

        public Criteria andCatelogCodeIn(List<String> values) {
            addCriterion("catelog_code in", values, "catelogCode");
            return (Criteria) this;
        }

        public Criteria andCatelogCodeNotIn(List<String> values) {
            addCriterion("catelog_code not in", values, "catelogCode");
            return (Criteria) this;
        }

        public Criteria andCatelogCodeBetween(String value1, String value2) {
            addCriterion("catelog_code between", value1, value2, "catelogCode");
            return (Criteria) this;
        }

        public Criteria andCatelogCodeNotBetween(String value1, String value2) {
            addCriterion("catelog_code not between", value1, value2, "catelogCode");
            return (Criteria) this;
        }

        public Criteria andCatelogNameIsNull() {
            addCriterion("catelog_name is null");
            return (Criteria) this;
        }

        public Criteria andCatelogNameIsNotNull() {
            addCriterion("catelog_name is not null");
            return (Criteria) this;
        }

        public Criteria andCatelogNameEqualTo(String value) {
            addCriterion("catelog_name =", value, "catelogName");
            return (Criteria) this;
        }

        public Criteria andCatelogNameNotEqualTo(String value) {
            addCriterion("catelog_name <>", value, "catelogName");
            return (Criteria) this;
        }

        public Criteria andCatelogNameGreaterThan(String value) {
            addCriterion("catelog_name >", value, "catelogName");
            return (Criteria) this;
        }

        public Criteria andCatelogNameGreaterThanOrEqualTo(String value) {
            addCriterion("catelog_name >=", value, "catelogName");
            return (Criteria) this;
        }

        public Criteria andCatelogNameLessThan(String value) {
            addCriterion("catelog_name <", value, "catelogName");
            return (Criteria) this;
        }

        public Criteria andCatelogNameLessThanOrEqualTo(String value) {
            addCriterion("catelog_name <=", value, "catelogName");
            return (Criteria) this;
        }

        public Criteria andCatelogNameLike(String value) {
            addCriterion("catelog_name like", value, "catelogName");
            return (Criteria) this;
        }

        public Criteria andCatelogNameNotLike(String value) {
            addCriterion("catelog_name not like", value, "catelogName");
            return (Criteria) this;
        }

        public Criteria andCatelogNameIn(List<String> values) {
            addCriterion("catelog_name in", values, "catelogName");
            return (Criteria) this;
        }

        public Criteria andCatelogNameNotIn(List<String> values) {
            addCriterion("catelog_name not in", values, "catelogName");
            return (Criteria) this;
        }

        public Criteria andCatelogNameBetween(String value1, String value2) {
            addCriterion("catelog_name between", value1, value2, "catelogName");
            return (Criteria) this;
        }

        public Criteria andCatelogNameNotBetween(String value1, String value2) {
            addCriterion("catelog_name not between", value1, value2, "catelogName");
            return (Criteria) this;
        }

        public Criteria andCatelogLevelIsNull() {
            addCriterion("catelog_level is null");
            return (Criteria) this;
        }

        public Criteria andCatelogLevelIsNotNull() {
            addCriterion("catelog_level is not null");
            return (Criteria) this;
        }

        public Criteria andCatelogLevelEqualTo(String value) {
            addCriterion("catelog_level =", value, "catelogLevel");
            return (Criteria) this;
        }

        public Criteria andCatelogLevelNotEqualTo(String value) {
            addCriterion("catelog_level <>", value, "catelogLevel");
            return (Criteria) this;
        }

        public Criteria andCatelogLevelGreaterThan(String value) {
            addCriterion("catelog_level >", value, "catelogLevel");
            return (Criteria) this;
        }

        public Criteria andCatelogLevelGreaterThanOrEqualTo(String value) {
            addCriterion("catelog_level >=", value, "catelogLevel");
            return (Criteria) this;
        }

        public Criteria andCatelogLevelLessThan(String value) {
            addCriterion("catelog_level <", value, "catelogLevel");
            return (Criteria) this;
        }

        public Criteria andCatelogLevelLessThanOrEqualTo(String value) {
            addCriterion("catelog_level <=", value, "catelogLevel");
            return (Criteria) this;
        }

        public Criteria andCatelogLevelLike(String value) {
            addCriterion("catelog_level like", value, "catelogLevel");
            return (Criteria) this;
        }

        public Criteria andCatelogLevelNotLike(String value) {
            addCriterion("catelog_level not like", value, "catelogLevel");
            return (Criteria) this;
        }

        public Criteria andCatelogLevelIn(List<String> values) {
            addCriterion("catelog_level in", values, "catelogLevel");
            return (Criteria) this;
        }

        public Criteria andCatelogLevelNotIn(List<String> values) {
            addCriterion("catelog_level not in", values, "catelogLevel");
            return (Criteria) this;
        }

        public Criteria andCatelogLevelBetween(String value1, String value2) {
            addCriterion("catelog_level between", value1, value2, "catelogLevel");
            return (Criteria) this;
        }

        public Criteria andCatelogLevelNotBetween(String value1, String value2) {
            addCriterion("catelog_level not between", value1, value2, "catelogLevel");
            return (Criteria) this;
        }

        public Criteria andIsOpenIsNull() {
            addCriterion("is_open is null");
            return (Criteria) this;
        }

        public Criteria andIsOpenIsNotNull() {
            addCriterion("is_open is not null");
            return (Criteria) this;
        }

        public Criteria andIsOpenEqualTo(Byte value) {
            addCriterion("is_open =", value, "isOpen");
            return (Criteria) this;
        }

        public Criteria andIsOpenNotEqualTo(Byte value) {
            addCriterion("is_open <>", value, "isOpen");
            return (Criteria) this;
        }

        public Criteria andIsOpenGreaterThan(Byte value) {
            addCriterion("is_open >", value, "isOpen");
            return (Criteria) this;
        }

        public Criteria andIsOpenGreaterThanOrEqualTo(Byte value) {
            addCriterion("is_open >=", value, "isOpen");
            return (Criteria) this;
        }

        public Criteria andIsOpenLessThan(Byte value) {
            addCriterion("is_open <", value, "isOpen");
            return (Criteria) this;
        }

        public Criteria andIsOpenLessThanOrEqualTo(Byte value) {
            addCriterion("is_open <=", value, "isOpen");
            return (Criteria) this;
        }

        public Criteria andIsOpenIn(List<Byte> values) {
            addCriterion("is_open in", values, "isOpen");
            return (Criteria) this;
        }

        public Criteria andIsOpenNotIn(List<Byte> values) {
            addCriterion("is_open not in", values, "isOpen");
            return (Criteria) this;
        }

        public Criteria andIsOpenBetween(Byte value1, Byte value2) {
            addCriterion("is_open between", value1, value2, "isOpen");
            return (Criteria) this;
        }

        public Criteria andIsOpenNotBetween(Byte value1, Byte value2) {
            addCriterion("is_open not between", value1, value2, "isOpen");
            return (Criteria) this;
        }

        public Criteria andIsShareIsNull() {
            addCriterion("is_share is null");
            return (Criteria) this;
        }

        public Criteria andIsShareIsNotNull() {
            addCriterion("is_share is not null");
            return (Criteria) this;
        }

        public Criteria andIsShareEqualTo(Byte value) {
            addCriterion("is_share =", value, "isShare");
            return (Criteria) this;
        }

        public Criteria andIsShareNotEqualTo(Byte value) {
            addCriterion("is_share <>", value, "isShare");
            return (Criteria) this;
        }

        public Criteria andIsShareGreaterThan(Byte value) {
            addCriterion("is_share >", value, "isShare");
            return (Criteria) this;
        }

        public Criteria andIsShareGreaterThanOrEqualTo(Byte value) {
            addCriterion("is_share >=", value, "isShare");
            return (Criteria) this;
        }

        public Criteria andIsShareLessThan(Byte value) {
            addCriterion("is_share <", value, "isShare");
            return (Criteria) this;
        }

        public Criteria andIsShareLessThanOrEqualTo(Byte value) {
            addCriterion("is_share <=", value, "isShare");
            return (Criteria) this;
        }

        public Criteria andIsShareIn(List<Byte> values) {
            addCriterion("is_share in", values, "isShare");
            return (Criteria) this;
        }

        public Criteria andIsShareNotIn(List<Byte> values) {
            addCriterion("is_share not in", values, "isShare");
            return (Criteria) this;
        }

        public Criteria andIsShareBetween(Byte value1, Byte value2) {
            addCriterion("is_share between", value1, value2, "isShare");
            return (Criteria) this;
        }

        public Criteria andIsShareNotBetween(Byte value1, Byte value2) {
            addCriterion("is_share not between", value1, value2, "isShare");
            return (Criteria) this;
        }

        public Criteria andIsDataCatelogIsNull() {
            addCriterion("is_data_catelog is null");
            return (Criteria) this;
        }

        public Criteria andIsDataCatelogIsNotNull() {
            addCriterion("is_data_catelog is not null");
            return (Criteria) this;
        }

        public Criteria andIsDataCatelogEqualTo(Byte value) {
            addCriterion("is_data_catelog =", value, "isDataCatelog");
            return (Criteria) this;
        }

        public Criteria andIsDataCatelogNotEqualTo(Byte value) {
            addCriterion("is_data_catelog <>", value, "isDataCatelog");
            return (Criteria) this;
        }

        public Criteria andIsDataCatelogGreaterThan(Byte value) {
            addCriterion("is_data_catelog >", value, "isDataCatelog");
            return (Criteria) this;
        }

        public Criteria andIsDataCatelogGreaterThanOrEqualTo(Byte value) {
            addCriterion("is_data_catelog >=", value, "isDataCatelog");
            return (Criteria) this;
        }

        public Criteria andIsDataCatelogLessThan(Byte value) {
            addCriterion("is_data_catelog <", value, "isDataCatelog");
            return (Criteria) this;
        }

        public Criteria andIsDataCatelogLessThanOrEqualTo(Byte value) {
            addCriterion("is_data_catelog <=", value, "isDataCatelog");
            return (Criteria) this;
        }

        public Criteria andIsDataCatelogIn(List<Byte> values) {
            addCriterion("is_data_catelog in", values, "isDataCatelog");
            return (Criteria) this;
        }

        public Criteria andIsDataCatelogNotIn(List<Byte> values) {
            addCriterion("is_data_catelog not in", values, "isDataCatelog");
            return (Criteria) this;
        }

        public Criteria andIsDataCatelogBetween(Byte value1, Byte value2) {
            addCriterion("is_data_catelog between", value1, value2, "isDataCatelog");
            return (Criteria) this;
        }

        public Criteria andIsDataCatelogNotBetween(Byte value1, Byte value2) {
            addCriterion("is_data_catelog not between", value1, value2, "isDataCatelog");
            return (Criteria) this;
        }

        public Criteria andIsApiCatelogIsNull() {
            addCriterion("is_api_catelog is null");
            return (Criteria) this;
        }

        public Criteria andIsApiCatelogIsNotNull() {
            addCriterion("is_api_catelog is not null");
            return (Criteria) this;
        }

        public Criteria andIsApiCatelogEqualTo(Byte value) {
            addCriterion("is_api_catelog =", value, "isApiCatelog");
            return (Criteria) this;
        }

        public Criteria andIsApiCatelogNotEqualTo(Byte value) {
            addCriterion("is_api_catelog <>", value, "isApiCatelog");
            return (Criteria) this;
        }

        public Criteria andIsApiCatelogGreaterThan(Byte value) {
            addCriterion("is_api_catelog >", value, "isApiCatelog");
            return (Criteria) this;
        }

        public Criteria andIsApiCatelogGreaterThanOrEqualTo(Byte value) {
            addCriterion("is_api_catelog >=", value, "isApiCatelog");
            return (Criteria) this;
        }

        public Criteria andIsApiCatelogLessThan(Byte value) {
            addCriterion("is_api_catelog <", value, "isApiCatelog");
            return (Criteria) this;
        }

        public Criteria andIsApiCatelogLessThanOrEqualTo(Byte value) {
            addCriterion("is_api_catelog <=", value, "isApiCatelog");
            return (Criteria) this;
        }

        public Criteria andIsApiCatelogIn(List<Byte> values) {
            addCriterion("is_api_catelog in", values, "isApiCatelog");
            return (Criteria) this;
        }

        public Criteria andIsApiCatelogNotIn(List<Byte> values) {
            addCriterion("is_api_catelog not in", values, "isApiCatelog");
            return (Criteria) this;
        }

        public Criteria andIsApiCatelogBetween(Byte value1, Byte value2) {
            addCriterion("is_api_catelog between", value1, value2, "isApiCatelog");
            return (Criteria) this;
        }

        public Criteria andIsApiCatelogNotBetween(Byte value1, Byte value2) {
            addCriterion("is_api_catelog not between", value1, value2, "isApiCatelog");
            return (Criteria) this;
        }

        public Criteria andIsMicroappCatelogIsNull() {
            addCriterion("is_microapp_catelog is null");
            return (Criteria) this;
        }

        public Criteria andIsMicroappCatelogIsNotNull() {
            addCriterion("is_microapp_catelog is not null");
            return (Criteria) this;
        }

        public Criteria andIsMicroappCatelogEqualTo(Byte value) {
            addCriterion("is_microapp_catelog =", value, "isMicroappCatelog");
            return (Criteria) this;
        }

        public Criteria andIsMicroappCatelogNotEqualTo(Byte value) {
            addCriterion("is_microapp_catelog <>", value, "isMicroappCatelog");
            return (Criteria) this;
        }

        public Criteria andIsMicroappCatelogGreaterThan(Byte value) {
            addCriterion("is_microapp_catelog >", value, "isMicroappCatelog");
            return (Criteria) this;
        }

        public Criteria andIsMicroappCatelogGreaterThanOrEqualTo(Byte value) {
            addCriterion("is_microapp_catelog >=", value, "isMicroappCatelog");
            return (Criteria) this;
        }

        public Criteria andIsMicroappCatelogLessThan(Byte value) {
            addCriterion("is_microapp_catelog <", value, "isMicroappCatelog");
            return (Criteria) this;
        }

        public Criteria andIsMicroappCatelogLessThanOrEqualTo(Byte value) {
            addCriterion("is_microapp_catelog <=", value, "isMicroappCatelog");
            return (Criteria) this;
        }

        public Criteria andIsMicroappCatelogIn(List<Byte> values) {
            addCriterion("is_microapp_catelog in", values, "isMicroappCatelog");
            return (Criteria) this;
        }

        public Criteria andIsMicroappCatelogNotIn(List<Byte> values) {
            addCriterion("is_microapp_catelog not in", values, "isMicroappCatelog");
            return (Criteria) this;
        }

        public Criteria andIsMicroappCatelogBetween(Byte value1, Byte value2) {
            addCriterion("is_microapp_catelog between", value1, value2, "isMicroappCatelog");
            return (Criteria) this;
        }

        public Criteria andIsMicroappCatelogNotBetween(Byte value1, Byte value2) {
            addCriterion("is_microapp_catelog not between", value1, value2, "isMicroappCatelog");
            return (Criteria) this;
        }

        public Criteria andCatelogImgIsNull() {
            addCriterion("catelog_img is null");
            return (Criteria) this;
        }

        public Criteria andCatelogImgIsNotNull() {
            addCriterion("catelog_img is not null");
            return (Criteria) this;
        }

        public Criteria andCatelogImgEqualTo(String value) {
            addCriterion("catelog_img =", value, "catelogImg");
            return (Criteria) this;
        }

        public Criteria andCatelogImgNotEqualTo(String value) {
            addCriterion("catelog_img <>", value, "catelogImg");
            return (Criteria) this;
        }

        public Criteria andCatelogImgGreaterThan(String value) {
            addCriterion("catelog_img >", value, "catelogImg");
            return (Criteria) this;
        }

        public Criteria andCatelogImgGreaterThanOrEqualTo(String value) {
            addCriterion("catelog_img >=", value, "catelogImg");
            return (Criteria) this;
        }

        public Criteria andCatelogImgLessThan(String value) {
            addCriterion("catelog_img <", value, "catelogImg");
            return (Criteria) this;
        }

        public Criteria andCatelogImgLessThanOrEqualTo(String value) {
            addCriterion("catelog_img <=", value, "catelogImg");
            return (Criteria) this;
        }

        public Criteria andCatelogImgLike(String value) {
            addCriterion("catelog_img like", value, "catelogImg");
            return (Criteria) this;
        }

        public Criteria andCatelogImgNotLike(String value) {
            addCriterion("catelog_img not like", value, "catelogImg");
            return (Criteria) this;
        }

        public Criteria andCatelogImgIn(List<String> values) {
            addCriterion("catelog_img in", values, "catelogImg");
            return (Criteria) this;
        }

        public Criteria andCatelogImgNotIn(List<String> values) {
            addCriterion("catelog_img not in", values, "catelogImg");
            return (Criteria) this;
        }

        public Criteria andCatelogImgBetween(String value1, String value2) {
            addCriterion("catelog_img between", value1, value2, "catelogImg");
            return (Criteria) this;
        }

        public Criteria andCatelogImgNotBetween(String value1, String value2) {
            addCriterion("catelog_img not between", value1, value2, "catelogImg");
            return (Criteria) this;
        }

        public Criteria andViewOrderIsNull() {
            addCriterion("view_order is null");
            return (Criteria) this;
        }

        public Criteria andViewOrderIsNotNull() {
            addCriterion("view_order is not null");
            return (Criteria) this;
        }

        public Criteria andViewOrderEqualTo(Integer value) {
            addCriterion("view_order =", value, "viewOrder");
            return (Criteria) this;
        }

        public Criteria andViewOrderNotEqualTo(Integer value) {
            addCriterion("view_order <>", value, "viewOrder");
            return (Criteria) this;
        }

        public Criteria andViewOrderGreaterThan(Integer value) {
            addCriterion("view_order >", value, "viewOrder");
            return (Criteria) this;
        }

        public Criteria andViewOrderGreaterThanOrEqualTo(Integer value) {
            addCriterion("view_order >=", value, "viewOrder");
            return (Criteria) this;
        }

        public Criteria andViewOrderLessThan(Integer value) {
            addCriterion("view_order <", value, "viewOrder");
            return (Criteria) this;
        }

        public Criteria andViewOrderLessThanOrEqualTo(Integer value) {
            addCriterion("view_order <=", value, "viewOrder");
            return (Criteria) this;
        }

        public Criteria andViewOrderIn(List<Integer> values) {
            addCriterion("view_order in", values, "viewOrder");
            return (Criteria) this;
        }

        public Criteria andViewOrderNotIn(List<Integer> values) {
            addCriterion("view_order not in", values, "viewOrder");
            return (Criteria) this;
        }

        public Criteria andViewOrderBetween(Integer value1, Integer value2) {
            addCriterion("view_order between", value1, value2, "viewOrder");
            return (Criteria) this;
        }

        public Criteria andViewOrderNotBetween(Integer value1, Integer value2) {
            addCriterion("view_order not between", value1, value2, "viewOrder");
            return (Criteria) this;
        }

        public Criteria andCreatedAtIsNull() {
            addCriterion("created_at is null");
            return (Criteria) this;
        }

        public Criteria andCreatedAtIsNotNull() {
            addCriterion("created_at is not null");
            return (Criteria) this;
        }

        public Criteria andCreatedAtEqualTo(Date value) {
            addCriterion("created_at =", value, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtNotEqualTo(Date value) {
            addCriterion("created_at <>", value, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtGreaterThan(Date value) {
            addCriterion("created_at >", value, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtGreaterThanOrEqualTo(Date value) {
            addCriterion("created_at >=", value, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtLessThan(Date value) {
            addCriterion("created_at <", value, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtLessThanOrEqualTo(Date value) {
            addCriterion("created_at <=", value, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtIn(List<Date> values) {
            addCriterion("created_at in", values, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtNotIn(List<Date> values) {
            addCriterion("created_at not in", values, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtBetween(Date value1, Date value2) {
            addCriterion("created_at between", value1, value2, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtNotBetween(Date value1, Date value2) {
            addCriterion("created_at not between", value1, value2, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedByIsNull() {
            addCriterion("created_by is null");
            return (Criteria) this;
        }

        public Criteria andCreatedByIsNotNull() {
            addCriterion("created_by is not null");
            return (Criteria) this;
        }

        public Criteria andCreatedByEqualTo(Long value) {
            addCriterion("created_by =", value, "createdBy");
            return (Criteria) this;
        }

        public Criteria andCreatedByNotEqualTo(Long value) {
            addCriterion("created_by <>", value, "createdBy");
            return (Criteria) this;
        }

        public Criteria andCreatedByGreaterThan(Long value) {
            addCriterion("created_by >", value, "createdBy");
            return (Criteria) this;
        }

        public Criteria andCreatedByGreaterThanOrEqualTo(Long value) {
            addCriterion("created_by >=", value, "createdBy");
            return (Criteria) this;
        }

        public Criteria andCreatedByLessThan(Long value) {
            addCriterion("created_by <", value, "createdBy");
            return (Criteria) this;
        }

        public Criteria andCreatedByLessThanOrEqualTo(Long value) {
            addCriterion("created_by <=", value, "createdBy");
            return (Criteria) this;
        }

        public Criteria andCreatedByIn(List<Long> values) {
            addCriterion("created_by in", values, "createdBy");
            return (Criteria) this;
        }

        public Criteria andCreatedByNotIn(List<Long> values) {
            addCriterion("created_by not in", values, "createdBy");
            return (Criteria) this;
        }

        public Criteria andCreatedByBetween(Long value1, Long value2) {
            addCriterion("created_by between", value1, value2, "createdBy");
            return (Criteria) this;
        }

        public Criteria andCreatedByNotBetween(Long value1, Long value2) {
            addCriterion("created_by not between", value1, value2, "createdBy");
            return (Criteria) this;
        }

        public Criteria andDeletedAtIsNull() {
            addCriterion("deleted_at is null");
            return (Criteria) this;
        }

        public Criteria andDeletedAtIsNotNull() {
            addCriterion("deleted_at is not null");
            return (Criteria) this;
        }

        public Criteria andDeletedAtEqualTo(Date value) {
            addCriterion("deleted_at =", value, "deletedAt");
            return (Criteria) this;
        }

        public Criteria andDeletedAtNotEqualTo(Date value) {
            addCriterion("deleted_at <>", value, "deletedAt");
            return (Criteria) this;
        }

        public Criteria andDeletedAtGreaterThan(Date value) {
            addCriterion("deleted_at >", value, "deletedAt");
            return (Criteria) this;
        }

        public Criteria andDeletedAtGreaterThanOrEqualTo(Date value) {
            addCriterion("deleted_at >=", value, "deletedAt");
            return (Criteria) this;
        }

        public Criteria andDeletedAtLessThan(Date value) {
            addCriterion("deleted_at <", value, "deletedAt");
            return (Criteria) this;
        }

        public Criteria andDeletedAtLessThanOrEqualTo(Date value) {
            addCriterion("deleted_at <=", value, "deletedAt");
            return (Criteria) this;
        }

        public Criteria andDeletedAtIn(List<Date> values) {
            addCriterion("deleted_at in", values, "deletedAt");
            return (Criteria) this;
        }

        public Criteria andDeletedAtNotIn(List<Date> values) {
            addCriterion("deleted_at not in", values, "deletedAt");
            return (Criteria) this;
        }

        public Criteria andDeletedAtBetween(Date value1, Date value2) {
            addCriterion("deleted_at between", value1, value2, "deletedAt");
            return (Criteria) this;
        }

        public Criteria andDeletedAtNotBetween(Date value1, Date value2) {
            addCriterion("deleted_at not between", value1, value2, "deletedAt");
            return (Criteria) this;
        }

        public Criteria andDeletedByIsNull() {
            addCriterion("deleted_by is null");
            return (Criteria) this;
        }

        public Criteria andDeletedByIsNotNull() {
            addCriterion("deleted_by is not null");
            return (Criteria) this;
        }

        public Criteria andDeletedByEqualTo(Long value) {
            addCriterion("deleted_by =", value, "deletedBy");
            return (Criteria) this;
        }

        public Criteria andDeletedByNotEqualTo(Long value) {
            addCriterion("deleted_by <>", value, "deletedBy");
            return (Criteria) this;
        }

        public Criteria andDeletedByGreaterThan(Long value) {
            addCriterion("deleted_by >", value, "deletedBy");
            return (Criteria) this;
        }

        public Criteria andDeletedByGreaterThanOrEqualTo(Long value) {
            addCriterion("deleted_by >=", value, "deletedBy");
            return (Criteria) this;
        }

        public Criteria andDeletedByLessThan(Long value) {
            addCriterion("deleted_by <", value, "deletedBy");
            return (Criteria) this;
        }

        public Criteria andDeletedByLessThanOrEqualTo(Long value) {
            addCriterion("deleted_by <=", value, "deletedBy");
            return (Criteria) this;
        }

        public Criteria andDeletedByIn(List<Long> values) {
            addCriterion("deleted_by in", values, "deletedBy");
            return (Criteria) this;
        }

        public Criteria andDeletedByNotIn(List<Long> values) {
            addCriterion("deleted_by not in", values, "deletedBy");
            return (Criteria) this;
        }

        public Criteria andDeletedByBetween(Long value1, Long value2) {
            addCriterion("deleted_by between", value1, value2, "deletedBy");
            return (Criteria) this;
        }

        public Criteria andDeletedByNotBetween(Long value1, Long value2) {
            addCriterion("deleted_by not between", value1, value2, "deletedBy");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}